from typing import Generic, TypeVar

from rainbowadn.core import *
from .derived import Derived

__all__ = ('DerivedStage',)

BaseStateType = TypeVar('BaseStateType')
StageType = TypeVar('StageType')


class DerivedStage(Derived[BaseStateType, StageType], Generic[BaseStateType, StageType]):
    def __init__(self, stage: HashPoint[StageType]):
        assert isinstance(stage, HashPoint)
        self.stage = stage
