from typing import Generic, TypeVar

from rainbowadn.core import *
from .reductionresult import ReductionResult

__all__ = ('Reduced',)

ReductorType = TypeVar('ReductorType')
AccumulatorType = TypeVar('AccumulatorType')


class Reduced(ReductionResult, Generic[ReductorType, AccumulatorType]):
    def __init__(self, reduced: HashPoint[AccumulatorType]):
        assert isinstance(reduced, HashPoint)
        self.reduced = reduced
