from typing import Iterable, Optional, TypeVar

__all__ = ('assert_true', 'assert_trues', 'assert_false', 'assert_none', 'assert_eq',)


def assert_true(value: bool) -> bool:
    assert value is True
    return True


def assert_trues(values: Iterable[bool]) -> bool:
    for value in values:
        assert_true(value)
    return True


def assert_false(value: bool) -> bool:
    assert value is False
    return True


T = TypeVar('T')


def assert_none(value: Optional[T]) -> bool:
    assert value is None
    return True


def assert_eq(value: T, other: T) -> bool:
    assert value == other
    return True
