from typing import Generic, TypeVar

from .hashresolver import HashResolver

__all__ = ('RainbowFactory',)

Mentioned = TypeVar('Mentioned')


class RainbowFactory(Generic[Mentioned]):
    """вперёд, уроды, вас ждут заводы"""

    def from_bytes(self, source: bytes, resolver: HashResolver) -> Mentioned:
        raise NotImplementedError
